// Mouse Move Simulation.cpp : Questo file contiene la funzione 'main', in cui inizia e termina l'esecuzione del programma.
//

#include <iostream>
#include <Windows.h>
#include <tchar.h>

using namespace std;


void MouseMove(int x, int y)
{
    double fScreenWidth = ::GetSystemMetrics(SM_CXSCREEN) - 1;
    double fScreenHeight = ::GetSystemMetrics(SM_CYSCREEN) - 1;
    double fx = x * (65535.0f / fScreenWidth);
    double fy = y * (65535.0f / fScreenHeight);
    INPUT  Input = { 0 };
    Input.type = INPUT_MOUSE;
    Input.mi.dwFlags = MOUSEEVENTF_MOVE | MOUSEEVENTF_ABSOLUTE;
    Input.mi.dx = long(fx) + long(fScreenWidth / 2);
    Input.mi.dy = long(fy) + long(fScreenHeight / 2);
    ::SendInput(1, &Input, sizeof(INPUT));
}

int main()
{
    std::cout << "Press ESC to quit.\n";

    double fScreenWidth = ::GetSystemMetrics(SM_CXSCREEN) - 1;
    double fScreenHeight = ::GetSystemMetrics(SM_CYSCREEN) - 1;
    int centerx = int(fScreenWidth / 2);
    int centery = int(fScreenHeight / 2);
    int x, y = 0;
    for (x = 0; x < fScreenWidth; x++)
    {
        if (GetAsyncKeyState(VK_ESCAPE))
        {
            cout << "esc" << endl;
            exit(0);
        }

        y = int(200 * sin(x) + centery);
        MouseMove(x, y);
        Sleep(100);

        if (x == fScreenWidth - 1)
        {
            x = 0;
            Sleep(1000);
        }

    }

    system("PAUSE");
}
